Summary: DVMRP Multicast routing daemon
Name: mrouted
Version: 3.9.8
Release: 2%{?dist}
Group: Applications/System
Source: mrouted-%{version}.tar.bz2
Source1: mrouted.service

License: BSD+Attribution
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gcc, byacc

%description
Mrouted provides multicast routing between different multicast-enabled
interfaces. It can also uses tunnels between multiple mrouted
instances to create a virtual multicast network over the
multicast-unaware Internet.

%prep
%setup -q

%build

./configure --enable-rsrr
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS -Wno-error=format-security"

sed -i -e 's!^\([^#]\)!#\1!' mrouted.conf

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sbindir} \
	 $RPM_BUILD_ROOT%{_mandir}/man8 \
	 $RPM_BUILD_ROOT%{_sysconfdir} \
	 $RPM_BUILD_ROOT%{_prefix}/lib/systemd/system

install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_prefix}/lib/systemd/system/mrouted.service
install -m 755 mrouted   mrinfo   map-mbone $RPM_BUILD_ROOT%{_sbindir}/
install -m 644 mrouted.8 mrinfo.8 map-mbone.8 $RPM_BUILD_ROOT/%{_mandir}/man8/
install -m 644 mrouted.conf $RPM_BUILD_ROOT/%{_sysconfdir}/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -eq 1 ] ; then
	# Initial installation
	/usr/bin/systemctl preset mrouted.service >/dev/null 2>&1 || :
else
	/usr/bin/systemctl try-restart mrouted.service >/dev/null 2>&1 || :
fi

%preun
if [ $1 -eq 0 ] ; then
	# Package removal, not upgrade
	/usr/bin/systemctl --no-reload disable mrouted.service > /dev/null 2>&1 || :
	/usr/bin/systemctl stop mrouted.service > /dev/null 2>&1 || :
fi

%postun
/usr/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
	# Package upgrade, not uninstall
	/usr/bin/systemctl try-restart mrouted.service >/dev/null 2>&1 || :
fi

%files
%defattr(-,root,root,-)
%doc README README.md
%dir %{_sysconfdir}
%config(noreplace) %{_sysconfdir}/mrouted.conf
%dir %{_prefix}/lib/systemd
%dir %{_prefix}/lib/systemd/system
%{_prefix}/lib/systemd/system/mrouted.service
%dir %{_mandir}
%dir %{_mandir}/man8
%{_mandir}/man8/*.8.gz
%{_sbindir}/*

%changelog
* Mon Oct 28 2019 Philippe Troin <phil@fifi.org> - 3.9.8-2
- Add BuildRequires: gcc, byacc.

* Fri Jan 12 2018 Philippe Troin <phil@fifi.org> - 3.9.8-1
- Upstream updated to 3.9.8.

* Tue Jan  3 2017 Philippe Troin <phil@fifi.org> - 3.9.7-1
- Upstream updated to 3.9.7.

* Wed Apr  8 2015 Philippe Troin <phil@fifi.org> - 3.9.6-2
- Tweak CFLAGS.

* Thu Jul  3 2014 Philippe Troin <phil@fifi.org> - 3.9.6-1
- Update the service file to have mrouted started only once the network is up.
- Upstream update to 3.9.6.

* Wed Sep 25 2013 Philippe Troin <phil@fifi.org> - 3.9beta3+IOS12-3
- Don't claim sbindir as ours.

* Mon Jun 29 2009 Philippe Troin <phil@fifi.org> - 3.9beta3+IOS12-2
- Disable strict aliasing as this software is old and use unions in unholy ways.

* Wed Oct 15 2008 Philippe Troin <phil@fifi.org> - 3.9beta3+IOS12-1
- Created.
